
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2.1　执行计划的基本数据 / iVAN</title>

    <meta name="description" content="《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2.1　执行计划的基本数据 2.1 执行计划的基本数据 我们用代码清单2-1中的查询计划为例,解释计划访问中基本数据的含义.代码清单2-1执行计划查询 HELLODBA.COM&gt;exec sql_explain('select o.owner, o.object_name, o.object_id from t_users u, t_objects o where u.username=o.owner and o.object_name like :A and u.user_id=:B','BASIC PREDICA ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2.1　执行计划的基本数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.1　执行计划的基本数据</h3>
<p>我们用代码清单2-1中的查询计划为例，解释计划访问中基本数据的含义。<br />代码清单2-1执行计划查询</p>
<pre><code>HELLODBA.COM&gt;exec sql_explain('select o.owner, o.object_name, o.object_id from t_users u, t_objects o
where u.username=o.owner and o.object_name like :A and u.user_id=:B','BASIC PREDICATE');
Plan hash value: 2133435147

---------------------------------------------------
| Id  | Operation                    | Name       |
---------------------------------------------------
|   0 | SELECT STATEMENT             |            |
|   1 |  NESTED LOOPS                |            |
|   2 |   TABLE ACCESS BY INDEX ROWID| T_USERS    |
|*  3 |    INDEX UNIQUE SCAN         | T_USERS_PK |
|*  4 |   TABLE ACCESS FULL          | T_OBJECTS  |
---------------------------------------------------

Predicate Information (identified by operation id):
---------------------------------------------------
   3 - access("U"."USER_ID"=TO_NUMBER(:B))
   4 - filter("O"."OBJECT_NAME" LIKE :A AND "U"."USERNAME"="O"."OWNER")</code></pre>
<p>这里利用DBMS_XPLAN显示查询计划，它以表格样式输出查询计划。该表有多个列，其中ID是计划中每个操作的唯一序列号，Operation是每个操作的名称和方式，Name是操作的对象。实际上，该表还有其他一些列代表了优化、统计等信息，我们将在下一节解释这些列的含义。<br />我们再看每行记录的数据。如果留意看，就不难发现每行数据中的Operation都带有长短不一的前导空格，使之看起来成为一个树状结构。这个结构也就是我们之前提到的操作之间的调用关系。下面分析每一行：<br />首先看第一条，ID为0，操作为SELECT STATEMENT。这一行实际上只表示这条语句的类型是一条SELECT语句，而非一个真正的操作。因此在一些执行计划的显示当中，没有显示ID为0的操作。<br />ID为1的操作是NESTED LOOPS，表明它需要对两个数据集以嵌套循环的方式进行数据关联。而这两个数据集则是由其两个子操作2和4分别从表T_USERS和T_OBJECTS上读取得来，也就是说，操作1按顺序调用操作2和4，获取它们返回的数据进行关联。而要实现嵌套循环，就需要两个循环体。其中，操作2就是第一个循环体，也就是外循环；操作4就是第二个循环体，即内循环。<br />ID为2的操作是TABLE ACCESS BY INDEX ROWID，Name是T_USERS，表明它是通过索引上的ROWID来访问表T_USERS以获取数据。而索引上的ROWID则需要通过其子操作3来获取；<br />ID为3的操作是INDEX UNIQUE SCAN，Name是T_USERS_PK，表明它是对索引T_USERS_PK进行唯一键值的访问以获取其父操作所需要的ROWID。从之前的DDL语句我们知道，T_USERS_PK是表T_USERS的主键，也是一个唯一索引。而对唯一索引的唯一键值的访问，需要有一个数值的输入作为访问条件。在它的ID列，我们可以留意到*符号，表示这个操作有相关的谓词条件（访问条件或者过滤条件）。而我们这里也特地显示了谓词条件。在下面谓词信息输出部分，可以找到一条信息3 - access("U"."USER_ID"=TO_NUMBER(:B))，表明这是操作ID为3的谓词条件，其中access表示它是访问条件，内容是通过某个数值定位USER_ID键值。<br />提示：访问条件和过滤条件都属于谓词条件，但它们对操作的作用大不相同。访问条件可以帮助操作从物理对象上定位到符合条件的数据，然后再读取数据；而过滤条件是操作已经从物理存储上读取到了数据，然后将不符合条件的数据过滤掉。它们对语句的性能影响很大，了解了它们之间的差别，就有助于我们对语句进行进一步调优。<br />ID为4的操作是TABLE ACCESS FULL，Name是T_OBJECTS，表明它是对表T_OBJECTS进行全表扫描。全表扫描即读取表的物理段（Segment）的高水位线（High Water Mark，HWM）以下的所有数据块。同样，它的ID也有*符号，从谓词信息部分可以找到关联的谓词条件4 - filter("O"."OBJECT_NAME" LIKE :A AND "U"."USERNAME"="O"."OWNER")。filter表明它是一个过滤条件，即读取了表T_OBJECTS的所有数据，再过滤掉不符合条件("O"."OBJECT_NAME" LIKE :A AND "U"."USERNAME"="O"."OWNER")的数据。<br />通过执行计划，我们就可以清楚地了解一条语句是通过什么样的方式读取物理对象的数据，如何对数据进行处理（过滤、排序等），最终获取到符合条件的数据。再结合执行计划中的其他数据，我们就可以进一步定位语句的性能瓶颈在哪里，从而为我们实施优化奠定基础。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 19:22:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e6%80%a7%e8%83%bd/" title="高性能">高性能</a>, <a href="https://www.iamivan.net/tag/index/" title="index">index</a>, <a href="https://www.iamivan.net/tag/access/" title="access">access</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2.1　执行计划的基本数据的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVgvmb.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一第一篇 执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一篇 执行计划 执行计划是指示Oracle如何获取和过滤数据.产生最终结果集,是影响SQL语句执行性能的关键因素.我们在深入了解执行计划之前,首先需要知道执行计划是在什么时候产生的,以及如何让SQL引擎为语句生成执行计划. 在深入了解执行计划之前,我们先了解SQL语句的处理执行过程.当一条语句提交到Oracle后,SQL引擎会分为三个步骤对其处理和执行:解析(Parse).执行(Execute)和获取(Fetch),分别由SQL引擎的不同组件完成.SQL引擎的组件如图1-1所示. 1. SQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr385M.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;5　执行计划中其他信息的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 执行计划中其他信息的含义 通过DBMS_XPLAN输出执行计划,除了计划本身外,还可以获得一些其他信息帮助我们进一步分析执行计划及语句性能. 2.5.1 查询块和对象别名 在使用DBMS_XPLAN显示执行计划时,选择'ADVANCED'预定义格式作为参数或者加入'ALIAS'控制字符串,可以在输出中看到以下内容: Query Block Name / Object Alias (identified by operation id): -------------------------			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBR70b.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;1　生成执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 生成执行计划 在Oracle中,任何一条语句在解析过程中都会生成一个唯一的数值标识,即SQL_ID.而同一条语句,在解析过程中,可能会因为执行环境的改变(例如某些优化参数被改变)而生成多个版本的游标,不同的游标会有不同的执行计划.每个游标都会按顺序赋予一个序列号,即CHILD_NUMBER,一条语句生成的第一个游标的CHILD_NUMBER为0:相应的,Oracle会为每个执行计划生成一个哈希值以作区分.而多个不同版本的游标,其执行计划可能会相同,也可能不同. 因此,我们可以知道,一条合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3kwZz.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;4　执行计划各个操作的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 执行计划各个操作的含义 通常我们所说的执行计划操作包含两个部分:操作与其选项.例如,哈希关联反关联(HASH JOIN ANTI)中,哈希关联(HASH JOIN)是一种操作,&quot;反&quot;关联(ANTI)则是其选项:该操作还可以与其他选项(如&quot;半&quot;关联,SEMI)配合形成不同的执行计划操作. 执行计划中的操作数量非常多.我们下面列出的操作是Oracle 10gR2中的绝大多数操作.Oracle的每个版本都会有一些新的特性出现,而其中一些新特性又会带来新的操作,或者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22RDZb.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一3&period;1　启发式查询转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1 启发式查询转换 所有的启发式查询转换都是基于一套优化器内建的规则.在查询转换阶段,转换器会逐个针对这些规则对查询进行检查,确定其是否满足转换规则,一旦满足,转换器就对其进行转换. 3.1.1 简单视图合并 我们知道,视图(View)的实质就是一条查询语句.在解析阶段,语句中的每个视图都会被展开至一个查询块中.如果未做视图合并,优化器则会单独分析每个视图,并为定义视图的查询语句生成一个视图子计划.然后再分析整个查询的其他部分,并生成执行计划.在这种情况下,由于视图的执行计划和整体执行计划不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YqyWp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;2　显示执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 显示执行计划 我们现在知道,有三个途径可以获取查询计划:v$sql_plan.dba_hist_sql_plan和PLAN_TABLE.如果需要读取一条SQL语句的执行计划,就需要知道该条语句的SQL_ID,如果该语句存在多个游标或者执行计划,则还需要知道游标的CHILD_NUMBER或计划的哈希值(可选).而无论我们通过哪个途径来获取执行计划,显示方式主要是两种:语句查询和包DBMS_XPLAN显示. 1.2.1 通过查询语句显示计划 通过查询语句从一些视图里读出执行计划并作格式化输出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXE0Kp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;2　内部函数与操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 内部函数与操作 实际上,在Oracle内部,执行计划的每一个数据源(Row Source)操作都与一个内部函数(qer&lt;*&gt;)相对应,而操作对象.谓词条件都是这些函数的参数.这些函数之间可以相互调用,也正是这些函数的调用关系,映射成为执行计划的树状关系.换句话说,一个执行计划告诉Oracle的内部引擎如何调用这些函数,以及传给函数的参数值.例如,在上述例子中,NESTED LOOPS获取数据的内部函数是qerjoFetch:TABLE ACCESS BY INDEX ROWID的内部函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE8PLqz.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一3&period;2　基于代价的查询转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.2 基于代价的查询转换 在进行基于代价的查询转换时,转换器先确认查询是否满足转换条件.一旦满足,就会对各种可行的转换方式进行枚举,并对它们进行代价估算,找到代价最低的方式.由此可见,相对于启发式查询转换,基于代价的查询转换是一个相当消耗资源(CPU和内存)的过程.提示:Oracle中有一个优化器参数_OPTIMIZER_COST_BASED_TRANSFORMATION,用它来控制是否进行基于代价的查询转换,以及如何进行基于代价的查询转换,从而限制其对资源的消耗. 3.2.1 复杂视图合并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBaO1z.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;3　执行计划各个列的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 执行计划各个列的含义 在执行计划中,除了ID.Operation和Name之外,还有其他一些列.这些列的数据是根据需要从PLAN_TABLE.V$SQL_PLAN.V$SQL_PLAN_STATISTICS_ALL等表和视图中读取的.它们可以帮助我们进一步理解该执行计划(例如优化器对各个操作的估算数据.实际运行中各个操作的性能数据等).以下就是各个列的描述. Rows/E-Rows:优化器估算出当前操作返回给上一级操作的数据记录数,如果计划中同时输出收集到实际记录数,则会显示为E-Row			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6ZayM.html" rel="bookmark" class="title">UVA 10791</a>
					<div>
						题目链接:https://uva.onlinejudge.org/index.php?option=onlinejudge&amp;page=show_problem&amp;problem=1732 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bodVjM.html" rel="bookmark" class="title">HD文件管理器 v0&period;1&period;3----- 一款界面简约，功能强大的免费文件管理器（Android）</a>
					<div>
						Android平台上具有完整功能的文件管理,漂亮的UI界面设计以及良好的用户体验. 支持android 1.5及以上平台 包括: * 将Linux平台上最流行的图标集之一 Faenza 作为文件管理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKenOp.html" rel="bookmark" class="title">Photoshop金属效果的教程</a>
					<div>
						教程 1.新建文件,新建一个图层(lix有不在background上做东西的习惯),然后用钢笔工具锚出你所需要的外形,这里就用lix那个不知道什么东西的外形示范吧 2.把这个路径转成选区,填个比较深的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO6rvp.html" rel="bookmark" class="title">如何优化Wordpress博客</a>
					<div>
						Seo优化实际并没有想象中的那么难,只要做好几个基本要素,一般排名都会挺好的,咱们不求最高,只求排名能够进前十.那么我们该如何优化个人博客呢,个人博客作为大家抒写心情.经历的平台,竞争性肯定会稍微的弱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7KdBb.html" rel="bookmark" class="title">ASA8&period;42EzVPN没有隧道分割从总部访问公网测试</a>
					<div>
						1.测试拓扑: 参见:http://333234.blog.51cto.com/323234/958557的测试拓扑 有隧道分离 时不用配置NAT免除,可以参考如下博文: http://blog.si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2AorM.html" rel="bookmark" class="title">活动目录快照配置管理之查看删除的帐号的DN名称</a>
					<div>
						1. 单击&quot;开始&quot;菜单,在搜索框中输入&quot;ldp&quot;: 2. 在ldp窗口中,单击&quot;连接&quot;,在下图所示页面中,输要连接的快照,本例中我们只对DC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP1NQz.html" rel="bookmark" class="title">4张千兆以太网卡怎样来设计VMware平台的虚拟网络</a>
					<div>
						如果服务器有4张千兆以太网卡,你会选择怎样来设计VMware平台的虚拟网络? 首先来看下面这张虚拟网络设计图 生产业务网络要求占用独立网段资源,设计都很固定,就不讨论了 (生产.vMotion和Man ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAkBvb.html" rel="bookmark" class="title">CorelDraw疑难杂症速查手册</a>
					<div>
						CorelDraw从诞生到现在,已经出到第13个版本,是平面设计的常用软件,它效率高.容易上手,受到很多平面设计爱好者和工作者的青睐.但大家在使用CorelDraw的时候总会碰到这样那样的问题,尤其是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ylxp.html" rel="bookmark" class="title">如何实现路由器线路负载均衡</a>
					<div>
						我想让这些连接到互联网的线路负载均衡,并且能够在一条线路出现故障的时候提供业务转移功能.我不知道如何设置这种配置.我的互联网服务提供商需要做什么?我的路由器需要如何设置? 回答:你的互联网服务提供商不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyW7db.html" rel="bookmark" class="title">cellpadding&equals;0 cellspacing&equals;0的css替代写法</a>
					<div>
						cellpadding=0 cellspacing=0的css替代写法:border-collapse:collapse,喜欢优化的朋友可以参考下     复制代码 代码如下: cellpadding ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1emNb.html" rel="bookmark" class="title">台式电脑硬件的安装步骤</a>
					<div>
						  当大家需要一台台式电脑时,大家肯定会想到DIY装机,不仅性价比高,而且可以恰好满足自己的需求,当然装机可以让电脑城的师傅帮你完成,但是为了提高大家的动手能力,小编整理了台式电脑硬件的安装步骤,希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW589p.html" rel="bookmark" class="title">office 2010怎么关闭自带的微软拼音输入法？</a>
					<div>
						  1.启动office,这里以word为例,默认情况下,word启动后,只要文档进入编辑状态,就会切换输入法为微软拼音输入法了. 2.微软拼音输入法安装后,会将自己的输入法顺序提前,导致用键盘切换默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR0n6z.html" rel="bookmark" class="title">Scalaz（9）－ typeclass：checking instance abiding the laws</a>
					<div>
						  在前几篇关于Functor和Applilcative typeclass的讨论中我们自定义了一个类型Configure,Configure类型的定义是这样的: 1 case class Confi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjoWBp.html" rel="bookmark" class="title">【天池直播】同济梁教授运筹学系列直播三--列生成2：万变不离其宗，强大的并行机排程！</a>
					<div>
						鸠摩智靠着小无相功的内功,用少林72绝学打败了少林寺的大和尚,并行机排程,即列生成中的小无相功. 本次直播,我们且看并行机在人员排班,医疗卫生,车辆运输,航空排程,生产运作等方面的应用. 对并行机排程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Nl8NM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;黑客&rdquo;怎样在互联网上赚黑钱？</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 &quot;赚黑钱的门道太多&quot; 黑客小曲(化名)对网络黑金的泛滥和&quot;黑客&quot;的沉沦颇感失望,近日他向记者谈及他所知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7g5Jp.html" rel="bookmark" class="title">oracle-我想问问，我这么写触发器，对不对，求大神解答</a>
					<div>
						问题描述 我想问问,我这么写触发器,对不对,求大神解答 从来没有写过触发器,然后毕设需要,不知道写对了没,这是我建的表,要完成的功能是,当插入数据时,执行这个触发器,即循环插入数据,其中curr_ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RWnnz.html" rel="bookmark" class="title">win7 ODBCConnection中的ConnectTo方法</a>
					<div>
						问题描述 调用ODBCConnection中的ConnectTo(dataBase,username,password)方法去连接db2数据库,XP上可行,能够连接上,但是到Win7的环境却连接不上了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBG0rb.html" rel="bookmark" class="title">企业站群解决和提高网站收录的最快方法</a>
					<div>
						最近这段时间由于工作比较忙的原因,阿郎SEO优化负责和管理的网站比较多,无法做到对每一个网站的事无巨细的运营维护和管理检查,而一个日益凸出的问题也摆在我面前--网站的收录量一直保持在相对的收录数量却迟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1ay4z.html" rel="bookmark" class="title">一个好的标题体现着整篇文章的精华和中心，也通常是一个作者的最用心之处</a>
					<div>
						不论是文学作品还是新闻报道,如果想抓住读者的眼球,最关键的环节就是标题部分.因为一个好的标题体现着整篇文章的精华和中心,也通常是一个作者的最用心之处. 但是随着网络媒体的快速发展,大量的信息和文章扑面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgP6kM.html" rel="bookmark" class="title">Razor入门</a>
					<div>
						    在学习MVC的时候,创建控制器总会看到默认的Razor:          然后,我们就可以在创建的视图里面这样写:       &lt;!--创建用户名文本框,等同于&lt;input ty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyZN4z.html" rel="bookmark" class="title">如何快速的增加反链接</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 反链接越多,对于我们来说,搜索引擎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Xxaz.html" rel="bookmark" class="title">买100返100零消费模式现身，买东西再也不用花钱了？</a>
					<div>
						本文讲的是买100返100零消费模式现身,买东西再也不用花钱了?,武汉的王女士经营着一家食品批发店,在电商的冲击下,生意每况愈下.通过网络搜索,她发现一电商平台正在招加盟商,该平台承诺凡是在其加盟店里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0oP8p.html" rel="bookmark" class="title">ssh自动登录的4种实现方法&lowbar;linux shell</a>
					<div>
						1. 自动ssh/scp方法 A为本地主机(即用于控制其他主机的机器) ;B为远程主机(即被控制的机器Server), 假如ip为192.168.60.110;A和B的系统都是Linux 在A上运行命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44jd1z.html" rel="bookmark" class="title">java rmi连接本机问题</a>
					<div>
						问题描述 java rmi连接本机问题 代码如下,然后就运行不出来Naming.rebind之后的那句sysout.也没有异常就是不运行,等了好几分钟还是运行不出来 try { System.out. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkgdQz.html" rel="bookmark" class="title">WEB开发面试题</a>
					<div>
						1.HTML的全称:   2.HTML的结构:   3.常用标签:                   4.CSS的全称: 5.CSS的作用:   6.CSS中创建Class的语法:          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAAeYp.html" rel="bookmark" class="title">整理JavaScript对DOM中各种类型的元素的常用操作&lowbar;基础知识</a>
					<div>
						节点类型nodeType以下是一些重要的nodeType的取值: 1: 元素element 2: 属性attr 3: 文本text 8: 注释comments 9: 文档document nodeNa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwydedM.html" rel="bookmark" class="title">RIM：PlayBook的电池续航表现比iPad强</a>
					<div>
						之前有分析师表示RIM的新款平板电脑PlayBook电池续航时间短,后来公司迅速出来澄清了数次,今天RIM的商业和市场营销部门http://www.aliyun.com/zixun/aggregati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBLnXb.html" rel="bookmark" class="title">亚信安全助力安徽合肥公共资源交易中心等保建设</a>
					<div>
						在市政信息化服务日渐加强的今天,加强IT基础资源配置.提升数据安全管理,已经成为信息服务平台监督管理的重要支撑.作为率先承接省级项目的服务平台,安徽合肥公共资源交易中心利用信息化手段加强共资源交易监管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWK85eM.html" rel="bookmark" class="title">快播CEO王欣：从点播软件完善到硬件盒子谋局</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 快播CEO王欣(腾讯科技配图) 腾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwXLKkb.html" rel="bookmark" class="title">Arc GIS（Web GIS）开发</a>
					<div>
						问题描述 北京力鼎创软科技有限公司,急寻全职或兼职ArcGIS(WebGIS)开发高手.工作内容:1.培训GIS开发团队相关开发技术(主要是WebGIS):2.指导团队构建具备一定扩展能力的GIS开发 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
